Loading...
Searching...
No Matches
Closure.h File Reference

Provides Closure class. More...

`#include <map>`
`#include <string>`
`#include "Buffer.h"`
`#include "IR.h"`
`#include "IRVisitor.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::Closure
| A helper class to manage closures. More...
struct | Halide::Internal::Closure::Buffer
| Information about a buffer reference from a closure. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Provides Closure class.

Definition in file Closure.h.